# CreatePurchases.py 

from random import randint

datafile = "shopping.dat"                            
nbSamples = 100
attributes = ["bread", "cheese", "apple", "banana",  "pasta", "sugo"]
nbAttributes = len(attributes)
fOut = open(datafile, "w")

for i in range(nbSamples):
    purchase = [0] * nbAttributes
    r = randint(0, 100)
    if r <= 25: # Swiss germans like bread and cheese
        purchase[0] = 1
        purchase[1] = 1
    elif r > 25 and r <= 40: # Swiss romands like fruits
        purchase[2] = 1
        purchase[3] = 1
    elif r > 40 and r <= 50: # Swiss italians like pasta with sugo
        purchase[4] = 1
        purchase[5] = 1
    else: # anybody else selects each item randomly
        for i in range(nbAttributes): 
            r = randint(0, 100)
            if r < 50:
                purchase[i] = 1
    purchaseStr = [str(e) for e in purchase]                
    sample = ','.join(purchaseStr)
    fOut.write(sample + "\n")

fOut.close()
print nbSamples, "purchases saved."
 